# Form implementation generated from reading ui file 'src/eric7/Plugins/WizardPlugins/SetupWizard/SetupWizardDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SetupWizardDialog(object):
    def setupUi(self, SetupWizardDialog):
        SetupWizardDialog.setObjectName("SetupWizardDialog")
        SetupWizardDialog.resize(750, 550)
        SetupWizardDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(SetupWizardDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_9 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_9.setObjectName("horizontalLayout_9")
        self.introCheckBox = QtWidgets.QCheckBox(parent=SetupWizardDialog)
        self.introCheckBox.setChecked(True)
        self.introCheckBox.setObjectName("introCheckBox")
        self.horizontalLayout_9.addWidget(self.introCheckBox)
        self.importCheckBox = QtWidgets.QCheckBox(parent=SetupWizardDialog)
        self.importCheckBox.setChecked(True)
        self.importCheckBox.setObjectName("importCheckBox")
        self.horizontalLayout_9.addWidget(self.importCheckBox)
        self.metaDataCheckBox = QtWidgets.QCheckBox(parent=SetupWizardDialog)
        self.metaDataCheckBox.setObjectName("metaDataCheckBox")
        self.horizontalLayout_9.addWidget(self.metaDataCheckBox)
        self.verticalLayout.addLayout(self.horizontalLayout_9)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label_15 = QtWidgets.QLabel(parent=SetupWizardDialog)
        self.label_15.setObjectName("label_15")
        self.horizontalLayout_2.addWidget(self.label_15)
        self.packageRootPicker = EricPathPicker(parent=SetupWizardDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.packageRootPicker.sizePolicy().hasHeightForWidth())
        self.packageRootPicker.setSizePolicy(sizePolicy)
        self.packageRootPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.packageRootPicker.setObjectName("packageRootPicker")
        self.horizontalLayout_2.addWidget(self.packageRootPicker)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.dataTabWidget = QtWidgets.QTabWidget(parent=SetupWizardDialog)
        self.dataTabWidget.setObjectName("dataTabWidget")
        self.basicTab = QtWidgets.QWidget()
        self.basicTab.setObjectName("basicTab")
        self.gridLayout = QtWidgets.QGridLayout(self.basicTab)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=self.basicTab)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.nameEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.nameEdit.setMaxLength(200)
        self.nameEdit.setObjectName("nameEdit")
        self.gridLayout.addWidget(self.nameEdit, 0, 2, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.versionEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.versionEdit.setMaxLength(200)
        self.versionEdit.setObjectName("versionEdit")
        self.gridLayout.addWidget(self.versionEdit, 1, 2, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.authorEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.authorEdit.setMaxLength(200)
        self.authorEdit.setObjectName("authorEdit")
        self.gridLayout.addWidget(self.authorEdit, 2, 2, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 3, 0, 1, 1)
        self.authorEmailEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.authorEmailEdit.setInputMask("")
        self.authorEmailEdit.setMaxLength(200)
        self.authorEmailEdit.setObjectName("authorEmailEdit")
        self.gridLayout.addWidget(self.authorEmailEdit, 3, 2, 1, 1)
        self.label_5 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 4, 0, 1, 1)
        self.maintainerEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.maintainerEdit.setMaxLength(200)
        self.maintainerEdit.setObjectName("maintainerEdit")
        self.gridLayout.addWidget(self.maintainerEdit, 4, 2, 1, 1)
        self.label_6 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_6.setObjectName("label_6")
        self.gridLayout.addWidget(self.label_6, 5, 0, 1, 1)
        self.maintainerEmailEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.maintainerEmailEdit.setMaxLength(200)
        self.maintainerEmailEdit.setObjectName("maintainerEmailEdit")
        self.gridLayout.addWidget(self.maintainerEmailEdit, 5, 2, 1, 1)
        self.label_8 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_8.setObjectName("label_8")
        self.gridLayout.addWidget(self.label_8, 6, 0, 1, 2)
        self.pyVersionEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.pyVersionEdit.setMaxLength(200)
        self.pyVersionEdit.setObjectName("pyVersionEdit")
        self.gridLayout.addWidget(self.pyVersionEdit, 6, 2, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(20, 223, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout.addItem(spacerItem, 7, 1, 1, 2)
        self.dataTabWidget.addTab(self.basicTab, "")
        self.descriptionTab = QtWidgets.QWidget()
        self.descriptionTab.setObjectName("descriptionTab")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.descriptionTab)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_7 = QtWidgets.QLabel(parent=self.descriptionTab)
        self.label_7.setObjectName("label_7")
        self.gridLayout_2.addWidget(self.label_7, 0, 0, 1, 1)
        self.summaryEdit = QtWidgets.QLineEdit(parent=self.descriptionTab)
        self.summaryEdit.setMaxLength(200)
        self.summaryEdit.setObjectName("summaryEdit")
        self.gridLayout_2.addWidget(self.summaryEdit, 0, 1, 1, 1)
        self.groupBox = QtWidgets.QGroupBox(parent=self.descriptionTab)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.descriptionEdit = EricSpellCheckedPlainTextEdit(parent=self.groupBox)
        self.descriptionEdit.setObjectName("descriptionEdit")
        self.verticalLayout_6.addWidget(self.descriptionEdit)
        self.descriptionFromFilesCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.descriptionFromFilesCheckBox.setObjectName("descriptionFromFilesCheckBox")
        self.verticalLayout_6.addWidget(self.descriptionFromFilesCheckBox)
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.label_19 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_19.setObjectName("label_19")
        self.horizontalLayout_5.addWidget(self.label_19)
        self.descriptionContentTypeComboBox = QtWidgets.QComboBox(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.descriptionContentTypeComboBox.sizePolicy().hasHeightForWidth())
        self.descriptionContentTypeComboBox.setSizePolicy(sizePolicy)
        self.descriptionContentTypeComboBox.setObjectName("descriptionContentTypeComboBox")
        self.horizontalLayout_5.addWidget(self.descriptionContentTypeComboBox)
        self.verticalLayout_6.addLayout(self.horizontalLayout_5)
        self.gridLayout_2.addWidget(self.groupBox, 1, 0, 1, 2)
        self.label_16 = QtWidgets.QLabel(parent=self.descriptionTab)
        self.label_16.setObjectName("label_16")
        self.gridLayout_2.addWidget(self.label_16, 2, 0, 1, 1)
        self.keywordsEdit = QtWidgets.QLineEdit(parent=self.descriptionTab)
        self.keywordsEdit.setObjectName("keywordsEdit")
        self.gridLayout_2.addWidget(self.keywordsEdit, 2, 1, 1, 1)
        self.dataTabWidget.addTab(self.descriptionTab, "")
        self.urlTab = QtWidgets.QWidget()
        self.urlTab.setObjectName("urlTab")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.urlTab)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.label_9 = QtWidgets.QLabel(parent=self.urlTab)
        self.label_9.setObjectName("label_9")
        self.gridLayout_3.addWidget(self.label_9, 0, 0, 1, 1)
        self.homePageUrlEdit = QtWidgets.QLineEdit(parent=self.urlTab)
        self.homePageUrlEdit.setObjectName("homePageUrlEdit")
        self.gridLayout_3.addWidget(self.homePageUrlEdit, 0, 1, 1, 1)
        self.label_13 = QtWidgets.QLabel(parent=self.urlTab)
        self.label_13.setObjectName("label_13")
        self.gridLayout_3.addWidget(self.label_13, 1, 0, 1, 1)
        self.downloadUrlEdit = QtWidgets.QLineEdit(parent=self.urlTab)
        self.downloadUrlEdit.setObjectName("downloadUrlEdit")
        self.gridLayout_3.addWidget(self.downloadUrlEdit, 1, 1, 1, 1)
        self.label_10 = QtWidgets.QLabel(parent=self.urlTab)
        self.label_10.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_10.setObjectName("label_10")
        self.gridLayout_3.addWidget(self.label_10, 2, 0, 1, 1)
        self.projectUrlsList = QtWidgets.QTreeWidget(parent=self.urlTab)
        self.projectUrlsList.setAlternatingRowColors(True)
        self.projectUrlsList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.projectUrlsList.setRootIsDecorated(False)
        self.projectUrlsList.setItemsExpandable(False)
        self.projectUrlsList.setObjectName("projectUrlsList")
        self.gridLayout_3.addWidget(self.projectUrlsList, 2, 1, 1, 1)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.urlDeleteButton = QtWidgets.QPushButton(parent=self.urlTab)
        self.urlDeleteButton.setEnabled(False)
        self.urlDeleteButton.setObjectName("urlDeleteButton")
        self.horizontalLayout_4.addWidget(self.urlDeleteButton)
        self.urlAddButton = QtWidgets.QPushButton(parent=self.urlTab)
        self.urlAddButton.setObjectName("urlAddButton")
        self.horizontalLayout_4.addWidget(self.urlAddButton)
        self.urlEditButton = QtWidgets.QPushButton(parent=self.urlTab)
        self.urlEditButton.setEnabled(False)
        self.urlEditButton.setObjectName("urlEditButton")
        self.horizontalLayout_4.addWidget(self.urlEditButton)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem1)
        self.gridLayout_3.addLayout(self.horizontalLayout_4, 3, 1, 1, 1)
        self.dataTabWidget.addTab(self.urlTab, "")
        self.licenseTab = QtWidgets.QWidget()
        self.licenseTab.setObjectName("licenseTab")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.licenseTab)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.licenseClassifierCheckBox = QtWidgets.QCheckBox(parent=self.licenseTab)
        self.licenseClassifierCheckBox.setChecked(True)
        self.licenseClassifierCheckBox.setObjectName("licenseClassifierCheckBox")
        self.verticalLayout_2.addWidget(self.licenseClassifierCheckBox)
        self.licenseClassifierComboBox = QtWidgets.QComboBox(parent=self.licenseTab)
        self.licenseClassifierComboBox.setObjectName("licenseClassifierComboBox")
        self.verticalLayout_2.addWidget(self.licenseClassifierComboBox)
        self.licenseEdit = QtWidgets.QLineEdit(parent=self.licenseTab)
        self.licenseEdit.setEnabled(False)
        self.licenseEdit.setObjectName("licenseEdit")
        self.verticalLayout_2.addWidget(self.licenseEdit)
        spacerItem2 = QtWidgets.QSpacerItem(20, 311, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem2)
        self.dataTabWidget.addTab(self.licenseTab, "")
        self.platformsTab = QtWidgets.QWidget()
        self.platformsTab.setObjectName("platformsTab")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.platformsTab)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.label_11 = QtWidgets.QLabel(parent=self.platformsTab)
        self.label_11.setObjectName("label_11")
        self.verticalLayout_3.addWidget(self.label_11)
        self.platformsEdit = QtWidgets.QPlainTextEdit(parent=self.platformsTab)
        self.platformsEdit.setObjectName("platformsEdit")
        self.verticalLayout_3.addWidget(self.platformsEdit)
        self.dataTabWidget.addTab(self.platformsTab, "")
        self.classifiersTab = QtWidgets.QWidget()
        self.classifiersTab.setObjectName("classifiersTab")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.classifiersTab)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.label_14 = QtWidgets.QLabel(parent=self.classifiersTab)
        self.label_14.setObjectName("label_14")
        self.horizontalLayout_3.addWidget(self.label_14)
        self.developmentStatusComboBox = QtWidgets.QComboBox(parent=self.classifiersTab)
        self.developmentStatusComboBox.setObjectName("developmentStatusComboBox")
        self.horizontalLayout_3.addWidget(self.developmentStatusComboBox)
        spacerItem3 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem3)
        self.verticalLayout_4.addLayout(self.horizontalLayout_3)
        self.label_12 = QtWidgets.QLabel(parent=self.classifiersTab)
        self.label_12.setObjectName("label_12")
        self.verticalLayout_4.addWidget(self.label_12)
        self.classifiersList = QtWidgets.QTreeWidget(parent=self.classifiersTab)
        self.classifiersList.setAlternatingRowColors(True)
        self.classifiersList.setObjectName("classifiersList")
        self.classifiersList.headerItem().setText(0, "1")
        self.classifiersList.header().setVisible(False)
        self.verticalLayout_4.addWidget(self.classifiersList)
        self.dataTabWidget.addTab(self.classifiersTab, "")
        self.packagesTab = QtWidgets.QWidget()
        self.packagesTab.setObjectName("packagesTab")
        self.gridLayout_5 = QtWidgets.QGridLayout(self.packagesTab)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.label_17 = QtWidgets.QLabel(parent=self.packagesTab)
        self.label_17.setObjectName("label_17")
        self.gridLayout_5.addWidget(self.label_17, 0, 0, 1, 1)
        self.sourceDirectoryPicker = EricPathPicker(parent=self.packagesTab)
        self.sourceDirectoryPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.sourceDirectoryPicker.setObjectName("sourceDirectoryPicker")
        self.gridLayout_5.addWidget(self.sourceDirectoryPicker, 0, 1, 1, 1)
        self.label_18 = QtWidgets.QLabel(parent=self.packagesTab)
        self.label_18.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_18.setObjectName("label_18")
        self.gridLayout_5.addWidget(self.label_18, 1, 0, 1, 1)
        self.excludePatternList = QtWidgets.QListWidget(parent=self.packagesTab)
        self.excludePatternList.setAlternatingRowColors(True)
        self.excludePatternList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.excludePatternList.setObjectName("excludePatternList")
        self.gridLayout_5.addWidget(self.excludePatternList, 1, 1, 1, 1)
        self.horizontalLayout_8 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        self.deleteExcludePatternButton = QtWidgets.QPushButton(parent=self.packagesTab)
        self.deleteExcludePatternButton.setEnabled(False)
        self.deleteExcludePatternButton.setObjectName("deleteExcludePatternButton")
        self.horizontalLayout_8.addWidget(self.deleteExcludePatternButton)
        self.addExludePatternButton = QtWidgets.QPushButton(parent=self.packagesTab)
        self.addExludePatternButton.setEnabled(False)
        self.addExludePatternButton.setObjectName("addExludePatternButton")
        self.horizontalLayout_8.addWidget(self.addExludePatternButton)
        self.excludePatternEdit = QtWidgets.QLineEdit(parent=self.packagesTab)
        self.excludePatternEdit.setObjectName("excludePatternEdit")
        self.horizontalLayout_8.addWidget(self.excludePatternEdit)
        self.gridLayout_5.addLayout(self.horizontalLayout_8, 2, 1, 1, 1)
        self.includePackageDataCheckBox = QtWidgets.QCheckBox(parent=self.packagesTab)
        self.includePackageDataCheckBox.setObjectName("includePackageDataCheckBox")
        self.gridLayout_5.addWidget(self.includePackageDataCheckBox, 3, 0, 1, 2)
        self.dataTabWidget.addTab(self.packagesTab, "")
        self.modulesTab = QtWidgets.QWidget()
        self.modulesTab.setObjectName("modulesTab")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.modulesTab)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.modulesList = QtWidgets.QListWidget(parent=self.modulesTab)
        self.modulesList.setAlternatingRowColors(True)
        self.modulesList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.modulesList.setObjectName("modulesList")
        self.verticalLayout_7.addWidget(self.modulesList)
        self.horizontalLayout_7 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        self.deleteModuleButton = QtWidgets.QPushButton(parent=self.modulesTab)
        self.deleteModuleButton.setEnabled(False)
        self.deleteModuleButton.setObjectName("deleteModuleButton")
        self.horizontalLayout_7.addWidget(self.deleteModuleButton)
        self.addModuleButton = QtWidgets.QPushButton(parent=self.modulesTab)
        self.addModuleButton.setObjectName("addModuleButton")
        self.horizontalLayout_7.addWidget(self.addModuleButton)
        spacerItem4 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_7.addItem(spacerItem4)
        self.verticalLayout_7.addLayout(self.horizontalLayout_7)
        self.dataTabWidget.addTab(self.modulesTab, "")
        self.entryPointsTab = QtWidgets.QWidget()
        self.entryPointsTab.setObjectName("entryPointsTab")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.entryPointsTab)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.entryPointsList = QtWidgets.QTreeWidget(parent=self.entryPointsTab)
        self.entryPointsList.setAlternatingRowColors(True)
        self.entryPointsList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.entryPointsList.setRootIsDecorated(False)
        self.entryPointsList.setItemsExpandable(False)
        self.entryPointsList.setObjectName("entryPointsList")
        self.verticalLayout_5.addWidget(self.entryPointsList)
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.deleteEntryPointButton = QtWidgets.QPushButton(parent=self.entryPointsTab)
        self.deleteEntryPointButton.setEnabled(False)
        self.deleteEntryPointButton.setObjectName("deleteEntryPointButton")
        self.horizontalLayout_6.addWidget(self.deleteEntryPointButton)
        self.addEntryPointButton = QtWidgets.QPushButton(parent=self.entryPointsTab)
        self.addEntryPointButton.setObjectName("addEntryPointButton")
        self.horizontalLayout_6.addWidget(self.addEntryPointButton)
        self.editEntryPointButton = QtWidgets.QPushButton(parent=self.entryPointsTab)
        self.editEntryPointButton.setEnabled(False)
        self.editEntryPointButton.setObjectName("editEntryPointButton")
        self.horizontalLayout_6.addWidget(self.editEntryPointButton)
        spacerItem5 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem5)
        self.verticalLayout_5.addLayout(self.horizontalLayout_6)
        self.dataTabWidget.addTab(self.entryPointsTab, "")
        self.verticalLayout.addWidget(self.dataTabWidget)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.projectButton = QtWidgets.QPushButton(parent=SetupWizardDialog)
        self.projectButton.setObjectName("projectButton")
        self.horizontalLayout.addWidget(self.projectButton)
        spacerItem6 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem6)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=SetupWizardDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.horizontalLayout.addWidget(self.buttonBox)
        self.verticalLayout.addLayout(self.horizontalLayout)

        self.retranslateUi(SetupWizardDialog)
        self.dataTabWidget.setCurrentIndex(8)
        self.buttonBox.accepted.connect(SetupWizardDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(SetupWizardDialog.reject) # type: ignore
        self.licenseClassifierCheckBox.toggled['bool'].connect(self.licenseClassifierComboBox.setEnabled) # type: ignore
        self.licenseClassifierCheckBox.toggled['bool'].connect(self.licenseEdit.setDisabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(SetupWizardDialog)
        SetupWizardDialog.setTabOrder(self.introCheckBox, self.importCheckBox)
        SetupWizardDialog.setTabOrder(self.importCheckBox, self.metaDataCheckBox)
        SetupWizardDialog.setTabOrder(self.metaDataCheckBox, self.packageRootPicker)
        SetupWizardDialog.setTabOrder(self.packageRootPicker, self.dataTabWidget)
        SetupWizardDialog.setTabOrder(self.dataTabWidget, self.nameEdit)
        SetupWizardDialog.setTabOrder(self.nameEdit, self.versionEdit)
        SetupWizardDialog.setTabOrder(self.versionEdit, self.authorEdit)
        SetupWizardDialog.setTabOrder(self.authorEdit, self.authorEmailEdit)
        SetupWizardDialog.setTabOrder(self.authorEmailEdit, self.maintainerEdit)
        SetupWizardDialog.setTabOrder(self.maintainerEdit, self.maintainerEmailEdit)
        SetupWizardDialog.setTabOrder(self.maintainerEmailEdit, self.pyVersionEdit)
        SetupWizardDialog.setTabOrder(self.pyVersionEdit, self.summaryEdit)
        SetupWizardDialog.setTabOrder(self.summaryEdit, self.descriptionEdit)
        SetupWizardDialog.setTabOrder(self.descriptionEdit, self.descriptionFromFilesCheckBox)
        SetupWizardDialog.setTabOrder(self.descriptionFromFilesCheckBox, self.descriptionContentTypeComboBox)
        SetupWizardDialog.setTabOrder(self.descriptionContentTypeComboBox, self.keywordsEdit)
        SetupWizardDialog.setTabOrder(self.keywordsEdit, self.homePageUrlEdit)
        SetupWizardDialog.setTabOrder(self.homePageUrlEdit, self.downloadUrlEdit)
        SetupWizardDialog.setTabOrder(self.downloadUrlEdit, self.projectUrlsList)
        SetupWizardDialog.setTabOrder(self.projectUrlsList, self.urlDeleteButton)
        SetupWizardDialog.setTabOrder(self.urlDeleteButton, self.urlAddButton)
        SetupWizardDialog.setTabOrder(self.urlAddButton, self.urlEditButton)
        SetupWizardDialog.setTabOrder(self.urlEditButton, self.licenseClassifierCheckBox)
        SetupWizardDialog.setTabOrder(self.licenseClassifierCheckBox, self.licenseClassifierComboBox)
        SetupWizardDialog.setTabOrder(self.licenseClassifierComboBox, self.licenseEdit)
        SetupWizardDialog.setTabOrder(self.licenseEdit, self.platformsEdit)
        SetupWizardDialog.setTabOrder(self.platformsEdit, self.developmentStatusComboBox)
        SetupWizardDialog.setTabOrder(self.developmentStatusComboBox, self.classifiersList)
        SetupWizardDialog.setTabOrder(self.classifiersList, self.sourceDirectoryPicker)
        SetupWizardDialog.setTabOrder(self.sourceDirectoryPicker, self.excludePatternList)
        SetupWizardDialog.setTabOrder(self.excludePatternList, self.deleteExcludePatternButton)
        SetupWizardDialog.setTabOrder(self.deleteExcludePatternButton, self.excludePatternEdit)
        SetupWizardDialog.setTabOrder(self.excludePatternEdit, self.addExludePatternButton)
        SetupWizardDialog.setTabOrder(self.addExludePatternButton, self.includePackageDataCheckBox)
        SetupWizardDialog.setTabOrder(self.includePackageDataCheckBox, self.modulesList)
        SetupWizardDialog.setTabOrder(self.modulesList, self.deleteModuleButton)
        SetupWizardDialog.setTabOrder(self.deleteModuleButton, self.addModuleButton)
        SetupWizardDialog.setTabOrder(self.addModuleButton, self.entryPointsList)
        SetupWizardDialog.setTabOrder(self.entryPointsList, self.deleteEntryPointButton)
        SetupWizardDialog.setTabOrder(self.deleteEntryPointButton, self.addEntryPointButton)
        SetupWizardDialog.setTabOrder(self.addEntryPointButton, self.editEntryPointButton)
        SetupWizardDialog.setTabOrder(self.editEntryPointButton, self.projectButton)

    def retranslateUi(self, SetupWizardDialog):
        _translate = QtCore.QCoreApplication.translate
        self.introCheckBox.setToolTip(_translate("SetupWizardDialog", "Select to include the introductory part of the setup.py code"))
        self.introCheckBox.setText(_translate("SetupWizardDialog", "Include Introductory Code"))
        self.importCheckBox.setToolTip(_translate("SetupWizardDialog", "Select to include the import statement"))
        self.importCheckBox.setText(_translate("SetupWizardDialog", "Include Import Statement"))
        self.metaDataCheckBox.setToolTip(_translate("SetupWizardDialog", "Select to include code for the meta data section"))
        self.metaDataCheckBox.setText(_translate("SetupWizardDialog", "Include Meta Data"))
        self.label_15.setText(_translate("SetupWizardDialog", "Root Directory:"))
        self.packageRootPicker.setToolTip(_translate("SetupWizardDialog", "Enter the root directory"))
        self.label.setText(_translate("SetupWizardDialog", "Name:"))
        self.nameEdit.setToolTip(_translate("SetupWizardDialog", "Enter the package name"))
        self.nameEdit.setPlaceholderText(_translate("SetupWizardDialog", "Mandatory"))
        self.label_2.setText(_translate("SetupWizardDialog", "Version:"))
        self.versionEdit.setToolTip(_translate("SetupWizardDialog", "Enter the version number in the form \'major.minor[.patch[.sub]]\'"))
        self.versionEdit.setPlaceholderText(_translate("SetupWizardDialog", "Mandatory"))
        self.label_3.setText(_translate("SetupWizardDialog", "Author:"))
        self.authorEdit.setToolTip(_translate("SetupWizardDialog", "Enter the author\'s name"))
        self.authorEdit.setPlaceholderText(_translate("SetupWizardDialog", "Mandatory (or Maintainer)"))
        self.label_4.setText(_translate("SetupWizardDialog", "Author Email:"))
        self.authorEmailEdit.setToolTip(_translate("SetupWizardDialog", "Enter the author\'s email address"))
        self.authorEmailEdit.setPlaceholderText(_translate("SetupWizardDialog", "Mandatory (or Maintainer Email)"))
        self.label_5.setText(_translate("SetupWizardDialog", "Maintainer:"))
        self.maintainerEdit.setToolTip(_translate("SetupWizardDialog", "Enter the maintainer\'s name"))
        self.maintainerEdit.setPlaceholderText(_translate("SetupWizardDialog", "Mandatory (or Author)"))
        self.label_6.setText(_translate("SetupWizardDialog", "Maintainer Email:"))
        self.maintainerEmailEdit.setToolTip(_translate("SetupWizardDialog", "Enter the maintainer\'s email address"))
        self.maintainerEmailEdit.setPlaceholderText(_translate("SetupWizardDialog", "Mandatory (or Author Email)"))
        self.label_8.setText(_translate("SetupWizardDialog", "Python Version:"))
        self.pyVersionEdit.setToolTip(_translate("SetupWizardDialog", "Enter the Python version specifier"))
        self.dataTabWidget.setTabText(self.dataTabWidget.indexOf(self.basicTab), _translate("SetupWizardDialog", "Basic"))
        self.label_7.setText(_translate("SetupWizardDialog", "Summary:"))
        self.summaryEdit.setToolTip(_translate("SetupWizardDialog", "Enter the summary description of the package"))
        self.groupBox.setTitle(_translate("SetupWizardDialog", "Description"))
        self.descriptionEdit.setToolTip(_translate("SetupWizardDialog", "Enter the description of the package or files (one per line) to get it from."))
        self.descriptionFromFilesCheckBox.setToolTip(_translate("SetupWizardDialog", "Select to get the description from files"))
        self.descriptionFromFilesCheckBox.setText(_translate("SetupWizardDialog", "Get description from files"))
        self.label_19.setText(_translate("SetupWizardDialog", "Content Type:"))
        self.label_16.setText(_translate("SetupWizardDialog", "Keywords:"))
        self.keywordsEdit.setToolTip(_translate("SetupWizardDialog", "Enter the keywords separated by comma"))
        self.dataTabWidget.setTabText(self.dataTabWidget.indexOf(self.descriptionTab), _translate("SetupWizardDialog", "Description"))
        self.label_9.setText(_translate("SetupWizardDialog", "Home Page URL:"))
        self.homePageUrlEdit.setToolTip(_translate("SetupWizardDialog", "Enter the URL of the home page"))
        self.homePageUrlEdit.setPlaceholderText(_translate("SetupWizardDialog", "Mandatory"))
        self.label_13.setText(_translate("SetupWizardDialog", "Download URL:"))
        self.downloadUrlEdit.setToolTip(_translate("SetupWizardDialog", "Enter the download URL"))
        self.label_10.setText(_translate("SetupWizardDialog", "Project URLs:"))
        self.projectUrlsList.setSortingEnabled(True)
        self.projectUrlsList.headerItem().setText(0, _translate("SetupWizardDialog", "Name"))
        self.projectUrlsList.headerItem().setText(1, _translate("SetupWizardDialog", "URL"))
        self.urlDeleteButton.setToolTip(_translate("SetupWizardDialog", "Press to delete the selected URLs"))
        self.urlDeleteButton.setText(_translate("SetupWizardDialog", "Delete"))
        self.urlAddButton.setToolTip(_translate("SetupWizardDialog", "Press to open a dialog to add a project URL"))
        self.urlAddButton.setText(_translate("SetupWizardDialog", "Add..."))
        self.urlEditButton.setToolTip(_translate("SetupWizardDialog", "Press to open a dialog to edit the selected project URL"))
        self.urlEditButton.setText(_translate("SetupWizardDialog", "Edit..."))
        self.dataTabWidget.setTabText(self.dataTabWidget.indexOf(self.urlTab), _translate("SetupWizardDialog", "URLs"))
        self.licenseClassifierCheckBox.setText(_translate("SetupWizardDialog", "Select From Trove License Classifiers"))
        self.licenseClassifierComboBox.setToolTip(_translate("SetupWizardDialog", "Select the license from the list of Trove Classifiers"))
        self.licenseEdit.setToolTip(_translate("SetupWizardDialog", "Enter a license if none of the above are suitable"))
        self.dataTabWidget.setTabText(self.dataTabWidget.indexOf(self.licenseTab), _translate("SetupWizardDialog", "License"))
        self.label_11.setText(_translate("SetupWizardDialog", "Enter supported platforms (one per line):"))
        self.dataTabWidget.setTabText(self.dataTabWidget.indexOf(self.platformsTab), _translate("SetupWizardDialog", "Platforms"))
        self.label_14.setText(_translate("SetupWizardDialog", "Development Status:"))
        self.developmentStatusComboBox.setToolTip(_translate("SetupWizardDialog", "Select the development status"))
        self.label_12.setText(_translate("SetupWizardDialog", "Select the applicable classifiers:"))
        self.dataTabWidget.setTabText(self.dataTabWidget.indexOf(self.classifiersTab), _translate("SetupWizardDialog", "Classifiers"))
        self.label_17.setText(_translate("SetupWizardDialog", "Source Directory:"))
        self.sourceDirectoryPicker.setToolTip(_translate("SetupWizardDialog", "Enter the source directory for the \'find_packages()\' call"))
        self.label_18.setText(_translate("SetupWizardDialog", "Exclude Patterns:"))
        self.excludePatternList.setSortingEnabled(True)
        self.deleteExcludePatternButton.setToolTip(_translate("SetupWizardDialog", "Press to delete the selected entries"))
        self.deleteExcludePatternButton.setText(_translate("SetupWizardDialog", "Delete"))
        self.addExludePatternButton.setToolTip(_translate("SetupWizardDialog", "Press to add the pattern"))
        self.addExludePatternButton.setText(_translate("SetupWizardDialog", "Add"))
        self.excludePatternEdit.setToolTip(_translate("SetupWizardDialog", "Enter an exclude pattern for the \'find_packages()\' call"))
        self.includePackageDataCheckBox.setToolTip(_translate("SetupWizardDialog", "Select to add the \'include_package_data\' statement"))
        self.includePackageDataCheckBox.setText(_translate("SetupWizardDialog", "Add \'include_package_data\' Statement"))
        self.dataTabWidget.setTabText(self.dataTabWidget.indexOf(self.packagesTab), _translate("SetupWizardDialog", "Packages"))
        self.modulesList.setSortingEnabled(True)
        self.deleteModuleButton.setToolTip(_translate("SetupWizardDialog", "Press to delete the selected entries"))
        self.deleteModuleButton.setText(_translate("SetupWizardDialog", "Delete"))
        self.addModuleButton.setToolTip(_translate("SetupWizardDialog", "Add modules via a files selection dialog"))
        self.addModuleButton.setText(_translate("SetupWizardDialog", "Add..."))
        self.dataTabWidget.setTabText(self.dataTabWidget.indexOf(self.modulesTab), _translate("SetupWizardDialog", "Modules"))
        self.entryPointsList.setSortingEnabled(True)
        self.entryPointsList.headerItem().setText(0, _translate("SetupWizardDialog", "Type"))
        self.entryPointsList.headerItem().setText(1, _translate("SetupWizardDialog", "Name"))
        self.entryPointsList.headerItem().setText(2, _translate("SetupWizardDialog", "Script Function"))
        self.deleteEntryPointButton.setToolTip(_translate("SetupWizardDialog", "Press to delete the selected entries"))
        self.deleteEntryPointButton.setText(_translate("SetupWizardDialog", "Delete"))
        self.addEntryPointButton.setToolTip(_translate("SetupWizardDialog", "Press to open a dialog to add an entry point"))
        self.addEntryPointButton.setText(_translate("SetupWizardDialog", "Add..."))
        self.editEntryPointButton.setToolTip(_translate("SetupWizardDialog", "Press to open a dialog to edit the selected entry point"))
        self.editEntryPointButton.setText(_translate("SetupWizardDialog", "Edit..."))
        self.dataTabWidget.setTabText(self.dataTabWidget.indexOf(self.entryPointsTab), _translate("SetupWizardDialog", "Entry Points"))
        self.projectButton.setToolTip(_translate("SetupWizardDialog", "Press to populate entry fields from project data"))
        self.projectButton.setText(_translate("SetupWizardDialog", "Populate from Project"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
from eric7.EricWidgets.EricSpellCheckedTextEdit import EricSpellCheckedPlainTextEdit
